Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Interface TransformListHandler

All Known Subinterfaces:
  FragmentIdentifierHandler

All Known Implementing Classes:
  AbstractSVGTransformList.TransformListBuilder, AWTTransformProducer, DefaultFragmentIdentifierHandler, DefaultTransformListHandler, ViewBox.ViewHandler

    public interface TransformListHandler

This interface must be implemented and then registred as the handler of a `TransformParser` instance in order to be notified of parsing events.

Method Summary
`void` | `endTransformList()` Invoked when the transform ends.
`void` | `matrix(float a, float b, float c, float d, float e, float f)` Invoked when 'matrix(a, b, c, d, e, f)' has been parsed.
`void` | `rotate(float theta)` Invoked when 'rotate(theta)' has been parsed.
`void` | `rotate(float theta, float cx, float cy)` Invoked when 'rotate(theta, cx, cy)' has been parsed.
`void` | `scale(float sx)` Invoked when 'scale(sx)' has been parsed.
`void` | `scale(float sx, float sy)` Invoked when 'scale(sx, sy)' has been parsed.
`void` | `skewX(float skx)` Invoked when 'skewX(skx)' has been parsed.
`void` | `skewY(float sky)` Invoked when 'skewY(sky)' has been parsed.
`void` | `startTransformList()` Invoked when the tranform starts.
`void` | `translate(float tx)` Invoked when 'translate(tx)' has been parsed.
`void` | `translate(float tx, float ty)` Invoked when 'translate(tx, ty)' has been parsed.

Method Detail

### startTransformList

    void startTransformList()
                            throws ParseException

  Invoked when the tranform starts.

  Throws:
    `ParseException` - if an error occured while processing the transform

### matrix

    void matrix(float a,
                float b,
                float c,
                float d,
                float e,
                float f)
                throws ParseException

  Invoked when 'matrix(a, b, c, d, e, f)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    void rotate(float theta)
                throws ParseException

  Invoked when 'rotate(theta)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### rotate

    void rotate(float theta,
                float cx,
                float cy)
                throws ParseException

  Invoked when 'rotate(theta, cx, cy)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    void translate(float tx)
                   throws ParseException

  Invoked when 'translate(tx)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### translate

    void translate(float tx,
                   float ty)
                   throws ParseException

  Invoked when 'translate(tx, ty)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    void scale(float sx)
               throws ParseException

  Invoked when 'scale(sx)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### scale

    void scale(float sx,
               float sy)
               throws ParseException

  Invoked when 'scale(sx, sy)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### skewX

    void skewX(float skx)
               throws ParseException

  Invoked when 'skewX(skx)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### skewY

    void skewY(float sky)
               throws ParseException

  Invoked when 'skewY(sky)' has been parsed.

  Throws:
    `ParseException` - if an error occured while processing the transform

### endTransformList

    void endTransformList()
                          throws ParseException

  Invoked when the transform ends.

  Throws:
    `ParseException` - if an error occured while processing the transform

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.